loci.formats.meta

## Class MetadataConverter

- java.lang.Object
- - loci.formats.meta.MetadataConverter

- Deprecated.
  Use ome.xml.meta.MetadataConverter.

      @Deprecated
      public final class MetadataConverter
      extends java.lang.Object

  A utility class containing a method for piping a source `MetadataRetrieve` object into a destination `MetadataStore`.

  This technique allows conversion between two different storage media. For example, it can be used to convert an `OMEROMetadataStore` (OMERO's metadata store implementation) into an `OMEXMLMetadata`, thus generating OME-XML from information in an OMERO database.

  Author:
    Curtis Rueden ctrueden at wisc.edu

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `private` | `MetadataConverter()` Deprecated. Private constructor; all methods in MetadataConverter are static, so this should not be called.

  - ### Method Summary

    All Methods Static Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `convertMetadata(ome.xml.meta.MetadataRetrieve src, ome.xml.meta.MetadataStore dest)` Deprecated. Copies information from a metadata retrieval object (source) into a metadata store (destination).

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MetadataConverter

          private MetadataConverter()

      Deprecated.
      Private constructor; all methods in MetadataConverter are static, so this should not be called.

  - ### Method Detail

    - #### convertMetadata

          public static void convertMetadata(ome.xml.meta.MetadataRetrieve src,
                                             ome.xml.meta.MetadataStore dest)

      Deprecated.
      Copies information from a metadata retrieval object (source) into a metadata store (destination).

Copyright © 2026 Open Microscopy Environment